package com.scpyun.platform.jilinsscgsdp.bean.vo;


import com.scpyun.base.bean.User;
import com.scpyun.platform.jilinsscgsdp.bean.entity.JlEventUser;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

public class ReqEventFlowLogInsertVo {

    private String id;
    private String name;
    private String dockingId;
    private String eventId;
    private String flowVersion;
    private String flowId;
    private String officeId;
    private String officeName;
    private String lineName;
    private String lineId;
    private String gradeUserId;
    private String status;
    @NotEmpty(message = "流程id不可为空！")
    private String logType;
    private String assignmentType;
    private String riskLevel;
    private String termTime;
    private String logResult;
    private String assignResult;
    private String isEarlyWarning;
    private String eventCheck;
    private String resolveName;
    private String resolveUnit;
    private String resolveHierarchy;
    private String resolveWay;
    private String resolveTime;
    private String isSatisfaction;
    private String resolveProcess;
    private String isResolve;
    private String warningLevel;
    private String contacts;
    private String completeTime;
    private String backTime;
    private String assignTime;
    private String receiveTime;
    private String assignmentTime;
    private String attachment;
    private String dealWarnTime;
    private String dealEndTime;
    private String delFlag;
    private String createBy;
    private String createName;
    private String createTime;
    private String updateBy;
    private String updateTime;
    private String scanningTime;
    private String isScanned;
    private String appid;
    private String isSpecialTasks;
    private String hierarchySetting;
    private String eventType;
    private String eventCategoryId;
    private String eventTypeId;
    private String isHiddenDanger;
    private String isDifficult;
    private String isPublicOpinion;
    private String isPointEvent;
    private String isSuperviseHandle;
    private String involvedNumber;
    private String occurrenceTime;
    private String cityId;
    private String city;
    private String areaId;
    private String area;
    private String streetId;
    private String street;
    private String communityId;
    private String community;
    private String gardenId;
    private String buildingId;
    private String unitId;
    private String floorId;
    private String doorplateId;
    private String eventCode;
    private String eventSource;
    private String address;
    private String disputeDescription;
    private String reportingName;
    private String reportingUnit;
    private String reportingGarden;
    private String supervisionTime;
    private String earlyWarningTime;
    private String alarmTime;
    private String isAcceptance;
    private String recordId;
    private Integer hierarchy;
    private String version;
    private String eventFlowSettingType;
    private String crossOfficeId;
    private String gridType;
    private String fax;
    private String logStatus;
    private String eventCardno;
    private String eventUserName;
    private String eventTel;
    private String sysAreaId;
    private String createType;
    private String eventCategoryName;
    private String eventTypeName;
    private String hierarchyName;
    private String label;
    private ReqEventFlowLogInsertVo params;
    private List<ReqEventFlowLogInsertVo> processList;
    private List<String> officeList;
    private List<String> officeIdList;
    private List<ReqEventUserInsertVo> userList;
    private User _user;
    private String is_involve_everyone;
    private String is_involve_everyone_count;
    private String is_show_hf_history;// 是否显示回访记录按钮
    private String alarmLevel;
    private String is_dispatch_office;
    private Integer yellowWarnDays;//黄灯天数
    private Integer redWarnDays;//红灯天数
    private Integer approveDays;//延期天数
    private Integer day;//已用天数
    private String warning;//是否超时
    private String deal_result_0;
    private String deal_result_1;
    private String deal_result_2;
    private String deal_result_3;
    private String eventStatus;
    private String is_dispatch_office_counts;
    private String is_dispatch_office_back_counts;
    private String logTypeNew;
    private List<@Valid ReqEventAttachInsertVo> urlList;
    private String event_category_other_name;
    private String event_category_mini_other_name;
    private String mineLatestLogType;
    private String mineLatestLogTypeNew;
    private String deal_log_type;
    private String event_name;
    private String event_tel;
    private String isResolveMine;
    private String deleteType;
    private String jeflStatus;
    private Integer count;

    private String typeNum;

    public String getTypeNum() {
        return typeNum;
    }

    public void setTypeNum(String typeNum) {
        this.typeNum = typeNum;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public String getJeflStatus() {
        return jeflStatus;
    }

    public void setJeflStatus(String jeflStatus) {
        this.jeflStatus = jeflStatus;
    }

    public String getDeleteType() {
        return deleteType;
    }

    public void setDeleteType(String deleteType) {
        this.deleteType = deleteType;
    }

    public String getIsResolveMine() {
        return isResolveMine;
    }

    public void setIsResolveMine(String isResolveMine) {
        this.isResolveMine = isResolveMine;
    }

    public String getEvent_name() {
        return event_name;
    }

    public void setEvent_name(String event_name) {
        this.event_name = event_name;
    }

    public String getEvent_tel() {
        return event_tel;
    }

    public void setEvent_tel(String event_tel) {
        this.event_tel = event_tel;
    }

    public String getDeal_log_type() {
        return deal_log_type;
    }

    public void setDeal_log_type(String deal_log_type) {
        this.deal_log_type = deal_log_type;
    }

    public String getMineLatestLogTypeNew() {
        return mineLatestLogTypeNew;
    }

    public void setMineLatestLogTypeNew(String mineLatestLogTypeNew) {
        this.mineLatestLogTypeNew = mineLatestLogTypeNew;
    }

    public String getMineLatestLogType() {
        return mineLatestLogType;
    }

    public void setMineLatestLogType(String mineLatestLogType) {
        this.mineLatestLogType = mineLatestLogType;
    }

    public String getEvent_category_other_name() {
        return event_category_other_name;
    }

    public void setEvent_category_other_name(String event_category_other_name) {
        this.event_category_other_name = event_category_other_name;
    }

    public String getEvent_category_mini_other_name() {
        return event_category_mini_other_name;
    }

    public void setEvent_category_mini_other_name(String event_category_mini_other_name) {
        this.event_category_mini_other_name = event_category_mini_other_name;
    }

    public List<ReqEventAttachInsertVo> getUrlList() {
        return urlList;
    }

    public void setUrlList(List<ReqEventAttachInsertVo> urlList) {
        this.urlList = urlList;
    }

    public String getLogTypeNew() {
        return logTypeNew;
    }

    public void setLogTypeNew(String logTypeNew) {
        this.logTypeNew = logTypeNew;
    }

    public String getIs_dispatch_office_back_counts() {
        return is_dispatch_office_back_counts;
    }

    public void setIs_dispatch_office_back_counts(String is_dispatch_office_back_counts) {
        this.is_dispatch_office_back_counts = is_dispatch_office_back_counts;
    }

    public String getIs_dispatch_office_counts() {
        return is_dispatch_office_counts;
    }

    public void setIs_dispatch_office_counts(String is_dispatch_office_counts) {
        this.is_dispatch_office_counts = is_dispatch_office_counts;
    }

    public String getEventStatus() {
        return eventStatus;
    }

    public void setEventStatus(String eventStatus) {
        this.eventStatus = eventStatus;
    }

    public Integer getYellowWarnDays() {
        return yellowWarnDays;
    }

    public void setYellowWarnDays(Integer yellowWarnDays) {
        this.yellowWarnDays = yellowWarnDays;
    }

    public Integer getRedWarnDays() {
        return redWarnDays;
    }

    public void setRedWarnDays(Integer redWarnDays) {
        this.redWarnDays = redWarnDays;
    }

    public Integer getApproveDays() {
        return approveDays;
    }

    public void setApproveDays(Integer approveDays) {
        this.approveDays = approveDays;
    }

    public Integer getDay() {
        return day;
    }

    public void setDay(Integer day) {
        this.day = day;
    }

    public String getWarning() {
        return warning;
    }

    public void setWarning(String warning) {
        this.warning = warning;
    }

    public String getDeal_result_1() {
        return deal_result_1;
    }

    public void setDeal_result_1(String deal_result_1) {
        this.deal_result_1 = deal_result_1;
    }

    public String getDeal_result_2() {
        return deal_result_2;
    }

    public void setDeal_result_2(String deal_result_2) {
        this.deal_result_2 = deal_result_2;
    }

    public String getDeal_result_3() {
        return deal_result_3;
    }

    public void setDeal_result_3(String deal_result_3) {
        this.deal_result_3 = deal_result_3;
    }

    public String getDeal_result_0() {
        return deal_result_0;
    }

    public void setDeal_result_0(String deal_result_0) {
        this.deal_result_0 = deal_result_0;
    }
    private String returnVisit;//是否申请不回访

    public String getIs_dispatch_office() {
        return is_dispatch_office;
    }

    public void setIs_dispatch_office(String is_dispatch_office) {
        this.is_dispatch_office = is_dispatch_office;
    }

    public String getAlarmLevel() {
        return alarmLevel;
    }

    public void setAlarmLevel(String alarmLevel) {
        this.alarmLevel = alarmLevel;
    }

    public String getIs_show_hf_history() {
        return is_show_hf_history;
    }

    public void setIs_show_hf_history(String is_show_hf_history) {
        this.is_show_hf_history = is_show_hf_history;
    }

    public String getIs_involve_everyone() {
        return is_involve_everyone;
    }

    public void setIs_involve_everyone(String is_involve_everyone) {
        this.is_involve_everyone = is_involve_everyone;
    }

    public String getIs_involve_everyone_count() {
        return is_involve_everyone_count;
    }

    public void setIs_involve_everyone_count(String is_involve_everyone_count) {
        this.is_involve_everyone_count = is_involve_everyone_count;
    }

    @Getter
    @Setter
    private String currentUser;

    private boolean warningLight = false;

    private String warningState;

    public String getWarningState() {
        return warningState;
    }

    public void setWarningState(String warningState) {
        this.warningState = warningState;
    }

    /**
     * 风险因子名称
     */
    private String riskName;

    public Boolean getWarningLight() {
        return warningLight;
    }

    public void setWarningLight(Boolean warningLight) {
        this.warningLight = warningLight;
    }

    private List<String> riskNameList;

    public List<String> getRiskNameList() {
        return riskNameList;
    }

    public void setRiskNameList(List<String> riskNameList) {
        this.riskNameList = riskNameList;
    }

    public String getRiskName() {
        return riskName;
    }

    public void setRiskName(String riskName) {
        this.riskName = riskName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDockingId() {
        return dockingId;
    }

    public void setDockingId(String dockingId) {
        this.dockingId = dockingId;
    }


    public String getEventId() {
        return eventId;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }


    public String getFlowVersion() {
        return flowVersion;
    }

    public void setFlowVersion(String flowVersion) {
        this.flowVersion = flowVersion;
    }


    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId;
    }


    public String getOfficeId() {
        return officeId;
    }

    public void setOfficeId(String officeId) {
        this.officeId = officeId;
    }


    public String getOfficeName() {
        return officeName;
    }

    public void setOfficeName(String officeName) {
        this.officeName = officeName;
    }


    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }


    public String getLineId() {
        return lineId;
    }

    public void setLineId(String lineId) {
        this.lineId = lineId;
    }


    public String getGradeUserId() {
        return gradeUserId;
    }

    public void setGradeUserId(String gradeUserId) {
        this.gradeUserId = gradeUserId;
    }


    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }


    public String getLogType() {
        return logType;
    }

    public void setLogType(String logType) {
        this.logType = logType;
    }


    public String getAssignmentType() {
        return assignmentType;
    }

    public void setAssignmentType(String assignmentType) {
        this.assignmentType = assignmentType;
    }


    public String getRiskLevel() {
        return riskLevel;
    }

    public void setRiskLevel(String riskLevel) {
        this.riskLevel = riskLevel;
    }


    public String getTermTime() {
        return termTime;
    }

    public void setTermTime(String termTime) {
        this.termTime = termTime;
    }


    public String getLogResult() {
        return logResult;
    }

    public void setLogResult(String logResult) {
        this.logResult = logResult;
    }


    public String getAssignResult() {
        return assignResult;
    }

    public void setAssignResult(String assignResult) {
        this.assignResult = assignResult;
    }


    public String getIsEarlyWarning() {
        return isEarlyWarning;
    }

    public void setIsEarlyWarning(String isEarlyWarning) {
        this.isEarlyWarning = isEarlyWarning;
    }


    public String getEventCheck() {
        return eventCheck;
    }

    public void setEventCheck(String eventCheck) {
        this.eventCheck = eventCheck;
    }


    public String getResolveName() {
        return resolveName;
    }

    public void setResolveName(String resolveName) {
        this.resolveName = resolveName;
    }


    public String getResolveUnit() {
        return resolveUnit;
    }

    public void setResolveUnit(String resolveUnit) {
        this.resolveUnit = resolveUnit;
    }


    public String getResolveHierarchy() {
        return resolveHierarchy;
    }

    public void setResolveHierarchy(String resolveHierarchy) {
        this.resolveHierarchy = resolveHierarchy;
    }


    public String getResolveWay() {
        return resolveWay;
    }

    public void setResolveWay(String resolveWay) {
        this.resolveWay = resolveWay;
    }


    public String getResolveTime() {
        return resolveTime;
    }

    public void setResolveTime(String resolveTime) {
        this.resolveTime = resolveTime;
    }


    public String getIsSatisfaction() {
        return isSatisfaction;
    }

    public void setIsSatisfaction(String isSatisfaction) {
        this.isSatisfaction = isSatisfaction;
    }


    public String getResolveProcess() {
        return resolveProcess;
    }

    public void setResolveProcess(String resolveProcess) {
        this.resolveProcess = resolveProcess;
    }


    public String getIsResolve() {
        return isResolve;
    }

    public void setIsResolve(String isResolve) {
        this.isResolve = isResolve;
    }


    public String getWarningLevel() {
        return warningLevel;
    }

    public void setWarningLevel(String warningLevel) {
        this.warningLevel = warningLevel;
    }


    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }


    public String getCompleteTime() {
        return completeTime;
    }

    public void setCompleteTime(String completeTime) {
        this.completeTime = completeTime;
    }


    public String getBackTime() {
        return backTime;
    }

    public void setBackTime(String backTime) {
        this.backTime = backTime;
    }


    public String getAssignTime() {
        return assignTime;
    }

    public void setAssignTime(String assignTime) {
        this.assignTime = assignTime;
    }


    public String getReceiveTime() {
        return receiveTime;
    }

    public void setReceiveTime(String receiveTime) {
        this.receiveTime = receiveTime;
    }


    public String getAssignmentTime() {
        return assignmentTime;
    }

    public void setAssignmentTime(String assignmentTime) {
        this.assignmentTime = assignmentTime;
    }


    public String getAttachment() {
        return attachment;
    }

    public void setAttachment(String attachment) {
        this.attachment = attachment;
    }


    public String getDealWarnTime() {
        return dealWarnTime;
    }

    public void setDealWarnTime(String dealWarnTime) {
        this.dealWarnTime = dealWarnTime;
    }


    public String getDealEndTime() {
        return dealEndTime;
    }

    public void setDealEndTime(String dealEndTime) {
        this.dealEndTime = dealEndTime;
    }


    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }


    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }


    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }


    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }


    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }


    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }


    public String getScanningTime() {
        return scanningTime;
    }

    public void setScanningTime(String scanningTime) {
        this.scanningTime = scanningTime;
    }


    public String getIsScanned() {
        return isScanned;
    }

    public void setIsScanned(String isScanned) {
        this.isScanned = isScanned;
    }


    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getIsSpecialTasks() {
        return isSpecialTasks;
    }

    public void setIsSpecialTasks(String isSpecialTasks) {
        this.isSpecialTasks = isSpecialTasks;
    }

    public String getHierarchySetting() {
        return hierarchySetting;
    }

    public void setHierarchySetting(String hierarchySetting) {
        this.hierarchySetting = hierarchySetting;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public String getEventCategoryId() {
        return eventCategoryId;
    }

    public void setEventCategoryId(String eventCategoryId) {
        this.eventCategoryId = eventCategoryId;
    }

    public String getEventTypeId() {
        return eventTypeId;
    }

    public void setEventTypeId(String eventTypeId) {
        this.eventTypeId = eventTypeId;
    }

    public String getIsHiddenDanger() {
        return isHiddenDanger;
    }

    public void setIsHiddenDanger(String isHiddenDanger) {
        this.isHiddenDanger = isHiddenDanger;
    }

    public String getIsDifficult() {
        return isDifficult;
    }

    public void setIsDifficult(String isDifficult) {
        this.isDifficult = isDifficult;
    }

    public String getIsPublicOpinion() {
        return isPublicOpinion;
    }

    public void setIsPublicOpinion(String isPublicOpinion) {
        this.isPublicOpinion = isPublicOpinion;
    }

    public String getIsPointEvent() {
        return isPointEvent;
    }

    public void setIsPointEvent(String isPointEvent) {
        this.isPointEvent = isPointEvent;
    }

    public String getIsSuperviseHandle() {
        return isSuperviseHandle;
    }

    public void setIsSuperviseHandle(String isSuperviseHandle) {
        this.isSuperviseHandle = isSuperviseHandle;
    }

    public String getInvolvedNumber() {
        return involvedNumber;
    }

    public void setInvolvedNumber(String involvedNumber) {
        this.involvedNumber = involvedNumber;
    }

    public String getOccurrenceTime() {
        return occurrenceTime;
    }

    public void setOccurrenceTime(String occurrenceTime) {
        this.occurrenceTime = occurrenceTime;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getStreetId() {
        return streetId;
    }

    public void setStreetId(String streetId) {
        this.streetId = streetId;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getCommunityId() {
        return communityId;
    }

    public void setCommunityId(String communityId) {
        this.communityId = communityId;
    }

    public String getCommunity() {
        return community;
    }

    public void setCommunity(String community) {
        this.community = community;
    }

    public String getGardenId() {
        return gardenId;
    }

    public void setGardenId(String gardenId) {
        this.gardenId = gardenId;
    }

    public String getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(String buildingId) {
        this.buildingId = buildingId;
    }

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public String getFloorId() {
        return floorId;
    }

    public void setFloorId(String floorId) {
        this.floorId = floorId;
    }

    public String getDoorplateId() {
        return doorplateId;
    }

    public void setDoorplateId(String doorplateId) {
        this.doorplateId = doorplateId;
    }

    public String getEventCode() {
        return eventCode;
    }

    public void setEventCode(String eventCode) {
        this.eventCode = eventCode;
    }

    public String getEventSource() {
        return eventSource;
    }

    public void setEventSource(String eventSource) {
        this.eventSource = eventSource;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getDisputeDescription() {
        return disputeDescription;
    }

    public void setDisputeDescription(String disputeDescription) {
        this.disputeDescription = disputeDescription;
    }

    public String getReportingName() {
        return reportingName;
    }

    public void setReportingName(String reportingName) {
        this.reportingName = reportingName;
    }

    public String getReportingUnit() {
        return reportingUnit;
    }

    public void setReportingUnit(String reportingUnit) {
        this.reportingUnit = reportingUnit;
    }

    public String getReportingGarden() {
        return reportingGarden;
    }

    public void setReportingGarden(String reportingGarden) {
        this.reportingGarden = reportingGarden;
    }

    public String getSupervisionTime() {
        return supervisionTime;
    }

    public void setSupervisionTime(String supervisionTime) {
        this.supervisionTime = supervisionTime;
    }

    public String getEarlyWarningTime() {
        return earlyWarningTime;
    }

    public void setEarlyWarningTime(String earlyWarningTime) {
        this.earlyWarningTime = earlyWarningTime;
    }

    public String getAlarmTime() {
        return alarmTime;
    }

    public void setAlarmTime(String alarmTime) {
        this.alarmTime = alarmTime;
    }

    public String getIsAcceptance() {
        return isAcceptance;
    }

    public void setIsAcceptance(String isAcceptance) {
        this.isAcceptance = isAcceptance;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public String getEventFlowSettingType() {
        return eventFlowSettingType;
    }

    public void setEventFlowSettingType(String eventFlowSettingType) {
        this.eventFlowSettingType = eventFlowSettingType;
    }

    public Integer getHierarchy() {
        return hierarchy;
    }

    public void setHierarchy(Integer hierarchy) {
        this.hierarchy = hierarchy;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public User get_user() {
        return _user;
    }

    public void set_user(User _user) {
        this._user = _user;
    }

    public String getCrossOfficeId() {
        return crossOfficeId;
    }

    public void setCrossOfficeId(String crossOfficeId) {
        this.crossOfficeId = crossOfficeId;
    }

    public String getGridType() {
        return gridType;
    }

    public void setGridType(String gridType) {
        this.gridType = gridType;
    }

    public List<String> getOfficeList() {
        return officeList;
    }

    public void setOfficeList(List<String> officeList) {
        this.officeList = officeList;
    }

    public String getFax() {
        return fax;
    }

    public void setFax(String fax) {
        this.fax = fax;
    }

    public ReqEventFlowLogInsertVo getParams() {
        return params;
    }

    public void setParams(ReqEventFlowLogInsertVo params) {
        this.params = params;
    }

    public String getLogStatus() {
        return logStatus;
    }

    public void setLogStatus(String logStatus) {
        this.logStatus = logStatus;
    }

    public String getEventCardno() {
        return eventCardno;
    }

    public void setEventCardno(String eventCardno) {
        this.eventCardno = eventCardno;
    }

    public String getEventUserName() {
        return eventUserName;
    }

    public void setEventUserName(String eventUserName) {
        this.eventUserName = eventUserName;
    }

    public String getEventTel() {
        return eventTel;
    }

    public void setEventTel(String eventTel) {
        this.eventTel = eventTel;
    }

    public List<ReqEventUserInsertVo> getUserList() {
        return userList;
    }

    public void setUserList(List<ReqEventUserInsertVo> userList) {
        this.userList = userList;
    }

    public String getSysAreaId() {
        return sysAreaId;
    }

    public void setSysAreaId(String sysAreaId) {
        this.sysAreaId = sysAreaId;
    }

    public String getCreateType() {
        return createType;
    }

    public void setCreateType(String createType) {
        this.createType = createType;
    }

    public List<ReqEventFlowLogInsertVo> getProcessList() {
        return processList;
    }

    public void setProcessList(List<ReqEventFlowLogInsertVo> processList) {
        this.processList = processList;
    }

    public String getEventCategoryName() {
        return eventCategoryName;
    }

    public void setEventCategoryName(String eventCategoryName) {
        this.eventCategoryName = eventCategoryName;
    }

    public String getEventTypeName() {
        return eventTypeName;
    }

    public void setEventTypeName(String eventTypeName) {
        this.eventTypeName = eventTypeName;
    }

    public String getHierarchyName() {
        return hierarchyName;
    }

    public void setHierarchyName(String hierarchyName) {
        this.hierarchyName = hierarchyName;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public List<String> getOfficeIdList() {
        return officeIdList;
    }

    public void setOfficeIdList(List<String> officeIdList) {
        this.officeIdList = officeIdList;
    }

    public String getReturnVisit() {
        return returnVisit;
    }

    public void setReturnVisit(String returnVisit) {
        this.returnVisit = returnVisit;
    }
}
